/*
 * Copyright 2016 University of Chicago
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 * http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

/**
 * @file mime_type_get.c
 * Implementation of the s3 DSI: Look up mime types
 */

#include "globus_gridftp_server_s3_base.h"

const char *
globus_i_s3_mime_type_get(
    const char                         *filename)
{
    const char                         *extension = strrchr(filename, '.');
    globus_i_s3_mime_t                 *mime_mapping = NULL;

    if (extension != NULL && *(++extension) != '\0')
    {
        mime_mapping = globus_hashtable_lookup(
                &globus_i_s3_mime_extensions,
                (void *) extension);
    }
    return mime_mapping ? mime_mapping->mime_type : NULL;
}
/* globus_i_s3_mime_get_type() */
// vim: ft=c:
